Loading...
Searching...
No Matches
Ogre::VertexCacheProfiler Class Reference
Core » RenderSystem

Vertex cache profiler. More...

`#include <OgreVertexIndexData.h>`

Inheritance diagram for Ogre::VertexCacheProfiler:
[legend]

## Public Member Functions

| VertexCacheProfiler (unsigned int cachesize=16)
| ~VertexCacheProfiler ()
void | flush ()
float | getAvgCacheMissRatio ()
| Get the average cache miss ratio.
unsigned int | getHits ()
unsigned int | getMisses ()
unsigned int | getSize ()
void | profile (const HardwareIndexBufferSharedPtr &indexBuffer)
void | reset ()

## Detailed Description

Vertex cache profiler.

Utility class for evaluating the effectiveness of the use of the vertex cache by a given index buffer.

## Constructor & Destructor Documentation

## VertexCacheProfiler()

Ogre::VertexCacheProfiler::VertexCacheProfiler | ( | unsigned int | cachesize = 16 | ) |

inline

## ~VertexCacheProfiler()

Ogre::VertexCacheProfiler::~VertexCacheProfiler | ( |  | ) |

inline

## Member Function Documentation

## profile()

void Ogre::VertexCacheProfiler::profile | ( | const HardwareIndexBufferSharedPtr & | indexBuffer | ) |

## reset()

void Ogre::VertexCacheProfiler::reset | ( |  | ) |

inline

## flush()

void Ogre::VertexCacheProfiler::flush | ( |  | ) |

inline

## getHits()

unsigned int Ogre::VertexCacheProfiler::getHits | ( |  | ) |

inline

## getMisses()

unsigned int Ogre::VertexCacheProfiler::getMisses | ( |  | ) |

inline

## getSize()

unsigned int Ogre::VertexCacheProfiler::getSize | ( |  | ) |

inline

## getAvgCacheMissRatio()

float Ogre::VertexCacheProfiler::getAvgCacheMissRatio | ( |  | ) |

inline

Get the average cache miss ratio.

Returns
  ratio of vertex cache misses to the triangle count (0.5 - 3.0)

The documentation for this class was generated from the following file:

- OgreVertexIndexData.h